import requests

from pycrawlerlib.entities import WebPage


def web_page_from_url(url):
    """
    Creates an web page given it's url.
    """

    try:
        response = requests.get(url, timeout=5)
    except requests.exceptions.ConnectionError:
        pass
    except requests.exceptions.ReadTimeout:
        pass
    else:
        if response.status_code == 200:
            try:
                content = response.content.decode()
                return WebPage(content, url)
            except UnicodeDecodeError:
                pass
